## firefox 66.0.3+build1

=== testing/awsy/requirements.txt ===
marionette-harness >= 4.0.0

=== debian/changelog ===
firefox (66.0.3+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (66.0.3build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 10 Apr 2019 12:43:40 +0200

firefox (66.0.2+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (66.0.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 27 Mar 2019 09:48:43 +0100

firefox (66.0.1+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (66.0.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 22 Mar 2019 09:56:55 +0100

firefox (66.0+build3-0ubuntu0.14.04.3) trusty; urgency=medium

  * Do not build the layout style tests to work around a build failure on trusty
    - debian/patches/do-not-build-layout-style-tests.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 22 Mar 2019 08:19:36 +0100

firefox (66.0+build3-0ubuntu0.14.04.2) trusty; urgency=medium

  * Add back a build parameter that was accidentally and unintentionally
    removed in a previous revision (--enable-stdcxx-compat)
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 17 Mar 2019 22:24:04 +0100

firefox (66.0+build3-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (66.0build3)

  [ Olivier Tilloy ]
  * Re-enable and update debian/patches/unity-menubar.patch
  * Disable unaligned FP accesses emulation on armhf:
    - armhf-disable-unaligned-fp-access-emulation.patch
  * Update build arguments for upstream change that splits the Google
    key management between location services and safe browsing
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1531176):
    - debian/config/mozconfig.in
  * Reduce linker memory usage on armhf:
    - debian/patches/armhf-reduce-linker-memory-use.patch

  [ Rico Tzschichholz ]
  * Use a custom build of nasm >= 2.13.02 (nasm-mozilla)
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Bump build-dep on rustc >= 1.31.0 and cargo >= 0.32
  * Update cbindgen to 0.7.1
    - debian/build/create-tarball.py
  * Fix arm64 build
    - debian/patches/revert-1fce91651f43.patch
  * Update patches
    - debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch
    - debian/patches/ppc-no-static-sizes.patch
    - debian/patches/partially-revert-google-search-update.patch
  * Drop upstreamed patches
    - remove debian/patches/dont-treat-tilde-as-special.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 15 Mar 2019 10:34:49 +0100

firefox (65.0.2+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (65.0.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 28 Feb 2019 13:14:49 +0100

firefox (65.0.1+build2-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (65.0.1build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 15 Feb 2019 00:58:30 +0100

firefox (65.0+build2-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (65.0build2)

  [ Olivier Tilloy ]
  * Fix build with newer versions of cargo, which ignore local configuration
    (see https://github.com/rust-lang/cargo/issues/6397)
    - update debian/build/rules.mk
  * Re-enable and update debian/patches/unity-menubar.patch

  [ Rico Tzschichholz ]
  * Drop upstreamed patches
    - remove debian/patches/fix-pixman-build-ppc64el.patch
    - remove debian/patches/extra-webrtc-build-configs.patch
    - remove debian/patches/update-gn-mozbuild.patch
  * Update patches
    - debian/patches/rust-drop-dll-checksums.patch
    - debian/patches/webrtc-fix-compiler-flags-for-armhf.patch
    - debian/patches/fix-armhf-webrtc-build.patch
    - debian/patches/no-region-overrides-for-google-search.patch
    - debian/patches/ppc-no-static-sizes.patch
    - debian/patches/ubuntu-ua-string-changes.patch
  * Bump build-dep on rustc >= 1.30.0 and cargo >= 0.31
  * Use amazon-in override for "gu-IN", "mai", "ml", "pa-IN", "ta"
    - update debian/config/searchplugins.conf
  * Revert parts of google search update
    - add debian/patches/partially-revert-google-search-update.patch
  * Build with --enable-rust-simd (LP: #1808980) (except on i386 and armhf)
    - update debian/config/mozconfig.in
  * Update cbindgen to 0.6.8
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 28 Jan 2019 17:59:02 +0100

firefox (64.0.2+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (64.0.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 09 Jan 2019 18:11:15 +0100

firefox (64.0+build3-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (64.0build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 07 Dec 2018 23:26:53 +0100

firefox (64.0+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (64.0build1)

  [ Olivier Tilloy ]
  * Do not attach Wi-Fi syslog to apport reports (LP: #1801383)
    - update debian/apport/source_firefox.py.in
  * Update debian/patches/unity-menubar.patch
  * Use a custom build of Node.js (nodejs-mozilla), as it is now a required
    build dependency
    - update debian/config/mozconfig.in
    - update debian/control{,.in}

  [ Rico Tzschichholz ]
  * Explicitly set HOME=/tmp
    - update debian/build/rules.mk
  * Bump build-dep on rustc >= 1.29.0 and cargo >= 0.30
    - update debian/control{,.in}
  * Bump cbindgen dependency to 0.6.7
    - update debian/build/create-tarball.py
  * Ship removed onboarding watermark.svg to keep using it as symbolic icon
    - add debian/symbolic.svg
    - update debian/build/rules.mk
  * Drop upstreamed patches
    - remove debian/patches/fix-armhf-aom-build.patch
  * Update patches
    - update debian/patches/dont-treat-tilde-as-special.patch
    - update debian/patches/drop-check-glibc-symbols.patch
    - update debian/patches/update-gn-mozbuild.patch



=== debian/control ===
# vim:noexpandtab:
Source: firefox
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.trusty
Build-Depends: cdbs,
	locales,
	debhelper (>= 9),
	autotools-dev,
	autoconf2.13,
	zip,
	libx11-dev,
	libx11-xcb-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libgtk-3-dev (>= 3.4),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	hardening-wrapper,
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	libpulse-dev,
	yasm (>= 1.1),
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7),
	python3 (>= 3.5) | python3.5,
	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
	clang-4.0,
	llvm-4.0-dev,
	cargo (>= 0.32),
	rustc (>= 1.31.0),
	nodejs-mozilla (>= 8.11),
	nasm-mozilla (>= 2.13.02),
	gcc-mozilla (>= 6.4), gcc-mozilla (<< 7)
Standards-Version: 3.9.1
#XS-Testsuite: autopkgtest

Package: firefox
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: xul-ext-ubufox,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk3-4
Provides: www-browser,
	iceweasel,
	gnome-www-browser,
	${app:Provides}
Suggests: fonts-lyx,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	firefox (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: ${app:Conflicts},
Description: Safe and easy web browser from Mozilla - debug symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the Firefox web
 browser

Package: firefox-dev
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Safe and easy web browser from Mozilla - development files
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: firefox-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - Breakpad symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: firefox-testsuite
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version}),
	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-az (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cak (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gn (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hsb (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-ia (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kab (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-my (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-ne (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-ur (= ${binary:Version}), firefox-locale-uz (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
	python,
	dbus-x11,
	xvfb,
	make,
	notify-osd,
	metacity,
	language-pack-en-base,
	language-pack-es-base,
	language-pack-fr-base,
	language-pack-pt-base,
	fonts-arabeyes,
	fonts-kacst,
	fonts-takao-mincho,
	fonts-takao-gothic,
	fonts-wqy-zenhei | ttf-wqy-zenhei,
	fonts-arphic-uming,
	fonts-arphic-ukai | ttf-arphic-ukai,
	fonts-nanum,
	fonts-nanum-coding,
	fonts-unfonts-core,
	fonts-liberation,
	gnome-session,
	gnome-settings-daemon,
	ubuntu-settings,
	light-themes,
	unzip,
	hunspell-en-us,
	libgl1-mesa-dri
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - testsuite
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox testsuite

# Transitional packages below here

# Can be dropped after 14.04
Package: firefox-globalmenu
Architecture: any
Section: oldlibs
Priority: extra
Depends: firefox,
	${misc:Depends}
Description: Safe and easy web browser from Mozilla (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: firefox-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for Firefox
 This package contains Afrikaans translations and search plugins
 for Firefox

Package: firefox-locale-an
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-an-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Aragonese language pack for Firefox
 This package contains Aragonese translations and search plugins
 for Firefox

Package: firefox-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Firefox
 This package contains Arabic translations and search plugins
 for Firefox

Package: firefox-locale-as
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-as-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Assamese language pack for Firefox
 This package contains Assamese translations and search plugins
 for Firefox

Package: firefox-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Firefox
 This package contains Asturian translations and search plugins
 for Firefox

Package: firefox-locale-az
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-az-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Azerbaijani language pack for Firefox
 This package contains Azerbaijani translations and search plugins
 for Firefox

Package: firefox-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Belarusian language pack for Firefox
 This package contains Belarusian translations and search plugins
 for Firefox

Package: firefox-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bulgarian language pack for Firefox
 This package contains Bulgarian translations and search plugins
 for Firefox

Package: firefox-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bengali language pack for Firefox
 This package contains Bengali translations and search plugins
 for Firefox

Package: firefox-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Breton language pack for Firefox
 This package contains Breton translations and search plugins
 for Firefox

Package: firefox-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bosnian language pack for Firefox
 This package contains Bosnian translations and search plugins
 for Firefox

Package: firefox-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Catalan; Valencian language pack for Firefox
 This package contains Catalan; Valencian translations and search plugins
 for Firefox

=== debian/rules ===
#!/usr/bin/make -f

MOZ_PKG_BASENAME	:= firefox

include $(CURDIR)/debian/build/config.mk

MOZ_APP			:= browser
MOZ_VENDOR		:= Mozilla
MOZ_MOZDIR		:=

MOZ_APP_SUBDIR	:= browser

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_FORCE_UNOFFICIAL_BRANDING))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= unofficial
endif
endif
MOZ_BRANDING_DIR 	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
ifeq (official,$(MOZ_BRANDING))
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_PKGNAME_SUBST_FILES = \
	debian/usr.bin.$(MOZ_PKG_NAME) \
	debian/README.Debian \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	debian/testing/run_mochitest \
	debian/testing/run_reftest \
	$(NULL)

MOZ_APPNAME_SUBST_FILES = \
	debian/$(MOZ_APP_NAME).1 \
	$(NULL)

ifeq (1,${MOZ_OFFICIAL_BUILD})
export MOZILLA_OFFICIAL=1
endif
ifeq (1,${MOZ_ENABLE_TELEMETRY})
export MOZ_TELEMETRY_REPORTING=1
export MOZ_SOURCE_REPO=${MOZILLA_REPO}
export MOZ_SOURCE_CHANGESET=$(shell cat $(DEB_SRCDIR)/SOURCE_CHANGESET)
endif

include $(CURDIR)/debian/build/rules.mk

#MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_mochitest \
						$(MOZ_LIBDIR)/testing/run_reftest \
						$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
						$(MOZ_LIBDIR)/xpcshell \
						$(MOZ_LIBDIR)/testing/filter_results \
						$(NULL)

debian/usr.bin.firefox.in:
	if [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1410' ]; then \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.14.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
	elif [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1310' ]; then \
		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.13.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
	fi

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)

ifeq (firefox, $(MOZ_PKG_NAME))
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,kubuntu-firefox-installer)
endif

binary-post-install/$(MOZ_PKG_NAME):: install-distribution-searchplugins-$(MOZ_PKG_NAME)

$(patsubst %,binary-post-install/%,$(MOZ_LOCALE_PKGS)):: binary-post-install/%: install-distribution-searchplugins-%

$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% :
	@echo ""
	@echo "Installing distribution searchplugins for $*"
$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% : install-distribution-searchplugins-IMPL-%
$(patsubst %,install-distribution-searchplugins-%,$(MOZ_LOCALE_PKGS) $(MOZ_PKG_NAME)) :: install-distribution-searchplugins-% :
	@echo ""

install-distribution-searchplugins-IMPL-%:
	$(foreach lang,$(call locales_for_langpack,$*), \
		python debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u $(MOZ_DISTDIR)/bin/browser/chrome/browser/searchplugins -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)

clean::
	rm -f debian/usr.bin.firefox.in

## firefox 66.0.4~mozillabinaries

=== debian/changelog ===
firefox (66.0.4~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 May 2019 12:49:39 -0700

## firefox 66.0.5~mozillabinaries

=== debian/changelog ===
firefox (66.0.5~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 07 May 2019 15:44:31 -0700

## firefox 67.0~mozillabinaries

=== debian/changelog ===
firefox (67.0~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 21 May 2019 12:36:01 -0700

## firefox 67.0.1~mozillabinaries

=== debian/changelog ===
firefox (67.0.1~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 04 Jun 2019 06:32:44 -0700

## firefox 67.0.2~mozillabinaries

=== debian/changelog ===
firefox (67.0.2~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 10 Jun 2019 18:07:35 -0700

## firefox 67.0.3~mozillabinaries

=== debian/changelog ===
firefox (67.0.3~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 18 Jun 2019 13:36:40 -0700

firefox (67.0.3~mozillabinaries-1mx19+1) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 18 Jun 2019 13:34:36 -0700

## firefox 67.0.4~mozillabinaries

=== debian/changelog ===
firefox (67.0.4~mozillabinaries-1mx15+2) mx; urgency=medium

  * New bookmarks to include MX Linux Blog.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 29 Jun 2019 18:49:30 -0700

firefox (67.0.4~mozillabinaries-1mx17+2) mx; urgency=medium

  * New bookmarks to include the MX Linux Blog.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 29 Jun 2019 18:45:08 -0700

firefox (67.0.4~mozillabinaries-1mx17+1) mx; urgency=medium

  * New upstream release.
  * Add various versions of libavcodec as alternate dependencies for media
    playback.
  * Also provides www-browser.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Jun 2019 14:05:43 -0700

firefox (67.0.3~mozillabinaries-1mx15+1) mx; urgency=medium

  * Repackaged for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 18 Jun 2019 13:39:53 -0700

=== debian/control ===
Source: firefox
Section: web
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.2
Homepage: http://mozilla.org

Package: firefox
Architecture: i386 amd64
Depends: libgtk-3-0 (>= 3.4),
         libglib2.0-0 (>= 2.32.0),
         libpango1.0-0 (>= 1.30.0),
         pulseaudio | apulse,
         libavcodec58 | libavcodec-extra58 |libavcodec57 | libavcodec-extra57 |libavcodec56 | libavcodec-extra56
Provides: x-www-browser, www-browser
Breaks: iceweasel
Replaces: firefox-amd64, firefox-i686, iceweasel
Conflicts: firefox-amd64, firefox-i686, iceweasel
Description: The Firefox web browser
 The Mozilla Firefox Web Browser. It is a powerful, extensible web browser
 with support for modern web application technologies. 
 .
 This package consists of the Mozilla-provided static binaries and support
 files bundled into a debianized package.

## firefox 68.0~mozillabinaries

=== debian/changelog ===
firefox (68.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 09 Jul 2019 13:04:19 -0700

firefox (67.0.4~mozillabinaries-1mx19+3) mx; urgency=medium

  * Added adobe-flashplugin to Recommends.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 29 Jun 2019 18:45:08 -0700

## firefox 68.0+build3

=== debian/changelog ===
firefox (68.0+build3-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (68.0build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 06 Jul 2019 12:51:53 +0200

firefox (68.0+build2-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (68.0build2)

  * Update exclusion patterns to remove outdated entries and to trim down the
    final size of the source tarball
    - debian/config/tarball.conf

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 05 Jul 2019 11:11:41 +0200

firefox (68.0+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (68.0build1)

  [ Olivier Tilloy ]
  * Update debian/patches/unity-menubar.patch
  * Work around a GGC bug on i386 and s390x (https://gcc.gnu.org/PR90756)
    - debian/patches/skcms-workaround-gcc-bug.patch
  * New firefox-geckodriver package (LP: #1831204)
  * Stop building firefox-testsuite (LP: #1805019)
  * Port chromium-browser's autopkgtests to firefox (LP: #1831454)

  [ Rico Tzschichholz ]
  * Update patches
    - debian/patches/mark-distribution-search-engines-as-read-only.patch
    - debian/patches/no-region-overrides-for-google-search.patch
    - debian/patches/partially-revert-google-search-update.patch
    - debian/patches/ppc-no-static-sizes.patch
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/ubuntu-ua-string-changes.patch
  * Bump build-dep on rustc >= 1.34.0 and cargo >= 0.35
    - debian/control{,.in}
  * Update cbindgen to 0.8.7
    - debian/build/create-tarball.py
  * Update locales, remove 'as', 'mai', 'ml' and 'or'
  * Update debian/config/searchplugins.conf
  * Follow change of location of list.json for searchplugins
    - debian/rules

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 02 Jul 2019 11:21:13 +0200

firefox (67.0.4+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0.4build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 20 Jun 2019 11:12:31 +0200

firefox (67.0.3+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0.3build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 18 Jun 2019 19:21:34 +0200

firefox (67.0.2+build2-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0.2build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 11 Jun 2019 12:08:03 +0200

firefox (67.0.2+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 06 Jun 2019 09:40:46 +0200

firefox (67.0.1+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 30 May 2019 11:04:58 +0200

firefox (67.0+build2-0ubuntu0.18.10.2) cosmic; urgency=medium

  * No-change rebuild to fix the BuildID ordering between the same version of
    firefox on all supported Ubuntu releases (LP: #1830096)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 23 May 2019 12:57:55 +0200

firefox (67.0+build2-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 17 May 2019 15:50:27 +0200

firefox (67.0+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0build1)

  [ Olivier Tilloy ]
  * Re-enable and update debian/patches/unity-menubar.patch

  [ Rico Tzschichholz ]
  * Update patches
    - debian/patches/partially-revert-google-search-update.patch
    - debian/patches/mark-distribution-search-engines-as-read-only.patch
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/cleanup-old-distribution-search-engines.patch
    - debian/patches/ubuntu-ua-string-changes.patch
    - debian/patches/armhf-disable-unaligned-fp-access-emulation.patch
  * Bump build-dep on rustc >= 1.32.0 and cargo >= 0.33
  * Update cbindgen to 0.8.4
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 14 May 2019 18:47:59 +0200

firefox (66.0.5+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0.5build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 08 May 2019 09:00:58 +0200

firefox (66.0.4+build3-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0.4build3) (LP: #1827727)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 06 May 2019 11:42:56 +0200

firefox (66.0.3+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0.3build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 10 Apr 2019 12:27:13 +0200

firefox (66.0.2+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 27 Mar 2019 09:40:15 +0100

firefox (66.0.1+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 22 Mar 2019 09:54:48 +0100

firefox (66.0+build3-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0build3)

  [ Olivier Tilloy ]
  * Re-enable and update debian/patches/unity-menubar.patch
  * Disable unaligned FP accesses emulation on armhf:
    - armhf-disable-unaligned-fp-access-emulation.patch
  * Update build arguments for upstream change that splits the Google
    key management between location services and safe browsing
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1531176):
    - debian/config/mozconfig.in
  * Reduce linker memory usage on armhf:
    - debian/patches/armhf-reduce-linker-memory-use.patch

  [ Rico Tzschichholz ]
  * Bump build-dep to clang-7 and llvm-7-dev
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Add build-dep on nasm (>= 2.13.02)
    - debian/control{,.in}
  * Bump build-dep on rustc >= 1.31.0 and cargo >= 0.32


=== debian/control ===
# vim:noexpandtab:
Source: firefox
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.cosmic
Build-Depends: cdbs,
	locales,
	debhelper (>= 9),
	autotools-dev,
	autoconf2.13,
	zip,
	libx11-dev,
	libx11-xcb-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libgtk-3-dev (>= 3.4),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	libpulse-dev,
	nasm (>= 2.13.02),
	yasm (>= 1.1),
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7),
	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
	clang-7,
	llvm-7-dev,
	cargo (>= 0.35),
	rustc (>= 1.34.0),
	nodejs (>= 8.11)
Standards-Version: 3.9.1

Package: firefox
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: xul-ext-ubufox,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk3-4
Provides: www-browser,
	iceweasel,
	gnome-www-browser,
	${app:Provides}
Suggests: fonts-lyx,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	firefox (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: ${app:Conflicts},
Description: Safe and easy web browser from Mozilla - debug symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the Firefox web
 browser

Package: firefox-dev
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Safe and easy web browser from Mozilla - development files
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: firefox-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - Breakpad symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: firefox-geckodriver
Architecture: any
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	firefox (= ${binary:Version})
Description: Safe and easy web browser from Mozilla - geckodriver
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains geckodriver, a proxy for using W3C WebDriver-compatible
 clients (such as selenium) to interact with Gecko-based browsers. See
 https://firefox-source-docs.mozilla.org/testing/geckodriver/ for details.

# Transitional packages below here

# Can be dropped after 14.04
Package: firefox-globalmenu
Architecture: any
Section: oldlibs
Priority: extra
Depends: firefox,
	${misc:Depends}
Description: Safe and easy web browser from Mozilla (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: firefox-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for Firefox
 This package contains Afrikaans translations and search plugins
 for Firefox

Package: firefox-locale-an
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-an-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Aragonese language pack for Firefox
 This package contains Aragonese translations and search plugins
 for Firefox

Package: firefox-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Firefox
 This package contains Arabic translations and search plugins
 for Firefox

Package: firefox-locale-as
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of Firefox
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: firefox-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Firefox
 This package contains Asturian translations and search plugins
 for Firefox

Package: firefox-locale-az
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-az-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Azerbaijani language pack for Firefox
 This package contains Azerbaijani translations and search plugins
 for Firefox

Package: firefox-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Belarusian language pack for Firefox
 This package contains Belarusian translations and search plugins
 for Firefox

Package: firefox-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bulgarian language pack for Firefox
 This package contains Bulgarian translations and search plugins
 for Firefox

Package: firefox-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bengali language pack for Firefox
 This package contains Bengali translations and search plugins
 for Firefox

Package: firefox-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Breton language pack for Firefox
 This package contains Breton translations and search plugins
 for Firefox

Package: firefox-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bosnian language pack for Firefox
 This package contains Bosnian translations and search plugins
 for Firefox

Package: firefox-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Catalan; Valencian language pack for Firefox
 This package contains Catalan; Valencian translations and search plugins
 for Firefox

Package: firefox-locale-cak
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cak-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Kaqchikel language pack for Firefox
 This package contains Kaqchikel translations and search plugins
 for Firefox

Package: firefox-locale-cs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Czech language pack for Firefox
 This package contains Czech translations and search plugins
 for Firefox

Package: firefox-locale-csb
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of Firefox
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: firefox-locale-cy
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cy-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Welsh language pack for Firefox
 This package contains Welsh translations and search plugins
 for Firefox

Package: firefox-locale-da
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-da-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Danish language pack for Firefox
 This package contains Danish translations and search plugins
 for Firefox

Package: firefox-locale-de
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-de-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: German language pack for Firefox
 This package contains German translations and search plugins
 for Firefox

Package: firefox-locale-el
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-el-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Greek language pack for Firefox
 This package contains Greek translations and search plugins
 for Firefox

Package: firefox-locale-en
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-en-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: English language pack for Firefox
 This package contains English translations and search plugins
 for Firefox

Package: firefox-locale-eo
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-eo-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Esperanto language pack for Firefox
 This package contains Esperanto translations and search plugins
 for Firefox

Package: firefox-locale-es
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-es-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Spanish; Castilian language pack for Firefox
 This package contains Spanish; Castilian translations and search plugins
 for Firefox

Package: firefox-locale-et
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-et-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Estonian language pack for Firefox
 This package contains Estonian translations and search plugins
 for Firefox

Package: firefox-locale-eu
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-eu-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Basque language pack for Firefox
 This package contains Basque translations and search plugins
 for Firefox

Package: firefox-locale-fa
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fa-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Persian language pack for Firefox
 This package contains Persian translations and search plugins
 for Firefox

Package: firefox-locale-fi
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fi-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Finnish language pack for Firefox
 This package contains Finnish translations and search plugins
 for Firefox

Package: firefox-locale-fr
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fr-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: French language pack for Firefox

## firefox 68.0.1~mozillabinaries

=== debian/changelog ===
firefox (68.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 18 Jul 2019 13:29:04 -0700

## firefox 68.0.2~mozillabinaries

=== debian/changelog ===
firefox (68.0.2~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 14 Aug 2019 15:55:04 -0700

## firefox 69.0~mozillabinaries

=== debian/changelog ===
firefox (69.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 02 Sep 2019 15:42:33 -0700

## firefox 69.0.1~mozillabinaries

=== debian/changelog ===
firefox (69.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * New upstream release.
  * 
 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Sep 2019 12:09:19 -0700

## firefox 69.0.2~mozillabinaries

=== debian/changelog ===
firefox (69.0.2~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 04 Oct 2019 15:28:39 -0700

## firefox 69.0.2+build1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.cosmic
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.eoan
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 9),
@@ -37,10 +37,10 @@
 	xvfb,
 	python (>= 2.7),
 	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
-	clang-7,
-	llvm-7-dev,
-	cargo (>= 0.35),
-	rustc (>= 1.34.0),
+	clang,
+	llvm-dev,
+	cargo (>= 0.36),
+	rustc (>= 1.35.0),
 	nodejs (>= 8.11)
 Standards-Version: 3.9.1
 
@@ -129,17 +129,6 @@
 
 # Transitional packages below here
 
-# Can be dropped after 14.04
-Package: firefox-globalmenu
-Architecture: any
-Section: oldlibs
-Priority: extra
-Depends: firefox,
-	${misc:Depends}
-Description: Safe and easy web browser from Mozilla (transitional package)
- This is a transitional package to ensure that upgrades work correctly.
- It can be safely removed
-
 # Language packs below here
 
 Package: firefox-locale-af
@@ -411,3 +400,13 @@
 Conflicts: ${app:Conflicts}
 Provides: ${app:Provides}
 Description: French language pack for Firefox
+ This package contains French translations and search plugins
+ for Firefox
+
+Package: firefox-locale-fy
+Architecture: any
+Depends: ${misc:Depends}
+Replaces: language-pack-fy-base
+Conflicts: ${app:Conflicts}
+Provides: ${app:Provides}
+Description: Western Frisian language pack for Firefox

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,6 @@
 	debian/apport/blacklist \
 	debian/apport/native-origins \
 	debian/apport/source_$(MOZ_PKG_NAME).py \
-	debian/testing/run_mochitest \
-	debian/testing/run_reftest \
 	$(NULL)
 
 MOZ_APPNAME_SUBST_FILES = \
@@ -51,13 +49,6 @@
 endif
 
 include $(CURDIR)/debian/build/rules.mk
-
-#MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_mochitest \
-						$(MOZ_LIBDIR)/testing/run_reftest \
-						$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
-						$(MOZ_LIBDIR)/xpcshell \
-						$(MOZ_LIBDIR)/testing/filter_results \
-						$(NULL)
 
 debian/usr.bin.firefox.in:
 	if [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1410' ]; then \
@@ -86,7 +77,7 @@
 
 install-distribution-searchplugins-IMPL-%:
 	$(foreach lang,$(call locales_for_langpack,$*), \
-		python debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u $(MOZ_DISTDIR)/bin/browser/chrome/browser/searchplugins -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)
+		python debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u browser/components/search/extensions -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)
 
 clean::
 	rm -f debian/usr.bin.firefox.in

=== debian/tests/control ===
Tests: firefox-version, html5test
Depends: firefox, firefox-geckodriver, python3-apt, python3-selenium
Restrictions: allow-stderr

## firefox 69.0.3~mozillabinaries

=== debian/changelog ===
firefox (69.0.3~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 11 Oct 2019 13:49:09 -0700

## firefox 70.0~mozillabinaries

=== debian/changelog ===
firefox (70.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 21 Oct 2019 17:03:59 -0700

## firefox 70.0.1~mozillabinaries

=== debian/changelog ===
firefox (70.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 31 Oct 2019 08:28:38 -0700
